ruby-devel-2.0.0.p645-1.mga4.i586.rpm


Advertisement

Description

ruby-devel - Development file for the powerful language Ruby

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name ruby-devel
Package version 2.0.0.p645
Package release 1.mga4
Package architecture i586
Package type rpm
Installed size 9.94 MB
Download size 2.68 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl). It is simple, straight-forward, and extensible.
This package contains the Ruby's devel files.

Alternatives

Package Version Architecture Repository
ruby-devel-2.0.0.p645-1.mga4.x86_64.rpm 2.0.0.p645 x86_64 Mageia Core Updates
ruby-devel-2.0.0.p598-1.mga4.i586.rpm 2.0.0.p598 i586 Mageia Core Updates
ruby-devel-2.0.0.p598-1.mga4.x86_64.rpm 2.0.0.p598 x86_64 Mageia Core Updates
ruby-devel-2.0.0.p594-1.mga4.i586.rpm 2.0.0.p594 i586 Mageia Core Updates
ruby-devel-2.0.0.p594-1.mga4.x86_64.rpm 2.0.0.p594 x86_64 Mageia Core Updates
ruby-devel-2.0.0.p247-8.mga4.i586.rpm 2.0.0.p247 i586 Mageia Core
ruby-devel-2.0.0.p247-8.mga4.x86_64.rpm 2.0.0.p247 x86_64 Mageia Core
ruby-devel - - -

Requires

Name Value
devel(libcrypt) -
devel(libdl) -
devel(libm) -
libruby2.0 == 2.0.0.p645
pkgconfig -
ruby == 2.0.0.p645

Provides

Name Value
devel(libruby) -
pkgconfig(ruby) == 2.0.0
ruby-devel == 2.0.0.p645-1.mga4
ruby-devel(x86-32) == 2.0.0.p645-1.mga4

Download

Type URL
Binary Package ruby-devel-2.0.0.p645-1.mga4.i586.rpm
Source Package ruby-2.0.0.p645-1.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install ruby-devel rpm package:
    # urpmi ruby-devel

Files

Path
/usr/include/ruby.h
/usr/include/i586-linux/
/usr/include/i586-linux/ruby/config.h
/usr/include/ruby/debug.h
/usr/include/ruby/defines.h
/usr/include/ruby/digest.h
/usr/include/ruby/dl.h
/usr/include/ruby/encoding.h
/usr/include/ruby/intern.h
/usr/include/ruby/io.h
/usr/include/ruby/missing.h
/usr/include/ruby/oniguruma.h
/usr/include/ruby/re.h
/usr/include/ruby/regex.h
/usr/include/ruby/ruby.h
/usr/include/ruby/st.h
/usr/include/ruby/subst.h
/usr/include/ruby/thread.h
/usr/include/ruby/util.h
/usr/include/ruby/version.h
/usr/include/ruby/vm.h
/usr/include/ruby/backward/classext.h
/usr/include/ruby/backward/rubyio.h
/usr/include/ruby/backward/rubysig.h
/usr/include/ruby/backward/st.h
/usr/include/ruby/backward/util.h
/usr/lib/libruby-static.a
/usr/lib/libruby.so
/usr/lib/pkgconfig/ruby.pc

Changelog

See ruby-2.0.0.p645-1.mga4.i586.rpm changelog.

See Also

Package Description
ruby-doc-2.0.0.p594-1.mga4.noarch.rpm Documentation for the powerful language Ruby
ruby-doc-2.0.0.p598-1.mga4.noarch.rpm Documentation for the powerful language Ruby
ruby-doc-2.0.0.p645-1.mga4.noarch.rpm Documentation for the powerful language Ruby
ruby-graphviz-2.34.0-6.1.mga4.i586.rpm Graphviz bindings for ruby
ruby-hivex-1.3.8-2.1.mga4.i586.rpm Ruby bindings for hivex
ruby-http-cookie-1.0.2-1.mga4.noarch.rpm Library to handle HTTP Cookies based on RFC 6265
ruby-http-cookie-doc-1.0.2-1.mga4.noarch.rpm Documentation for ruby-http-cookie
ruby-httpclient-2.4.0-1.mga4.noarch.rpm Gives something like the functionality of libwww-perl (LWP) in Ruby
ruby-httpclient-doc-2.4.0-1.mga4.noarch.rpm Documentation for ruby-httpclient
ruby-irb-2.0.0.p594-1.mga4.noarch.rpm The Interactive Ruby
ruby-irb-2.0.0.p598-1.mga4.noarch.rpm The Interactive Ruby
ruby-irb-2.0.0.p645-1.mga4.noarch.rpm The Interactive Ruby
ruby-libguestfs-1.24.5-1.1.mga4.i586.rpm Ruby bindings for libguestfs
ruby-netrc-0.10.3-1.mga4.noarch.rpm Library that can read and update netrc files
ruby-netrc-doc-0.10.3-1.mga4.noarch.rpm Documentation for ruby-netrc
Advertisement
Advertisement